import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { HomeComponent } from './home/home.component';
import { ContactusComponent } from './contactus/contactus.component';

const routes: Routes = [
  {  
    path:'',component:HomeComponent, pathMatch: 'full' 
  },  
  {  
    path:'home',component:HomeComponent  
  },  
  {  
    path:'contact-us',component:ContactusComponent  
  },
 { path: 'user-list', loadChildren: () => import('./lazy/lazy.module').then(m => m.LazyModule) },
  { path: '**', component: HomeComponent }  
  
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule],
  declarations: [HomeComponent, ContactusComponent]
})
export class AppRoutingModule { }
